--------------------------------------------------------
--  DDL for Index TFC_MODELOS_MOVIL_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_MODELOS_MOVIL_PK" ON "UOC"."TFC_MODELOS_MOVIL" ("MOD_MODELO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_DES_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_DES_PK1" ON "UOC"."TFC_DESCARGAS_APLICACIONES" ("DES_CODIGO", "DES_VERSION", "DES_FECHA", "DES_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_DISPO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_DISPO_PK" ON "UOC"."TFC_DISPOSITIVOS" ("DIS_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_APL_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_APL_PK" ON "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_APL_ID_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_APL_ID_PK" ON "UOC"."TFC_IDIOMAS_APLICACIONES" ("AID_CODIGO", "AID_VERSION", "AID_IDIOMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_IDIOMAS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_IDIOMAS_PK" ON "UOC"."TFC_IDIOMAS" ("IDI_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_DESARROLADOR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_DESARROLADOR_PK" ON "UOC"."TFC_DESARROLLADORES" ("DES_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_PAISES_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_PAISES_PK" ON "UOC"."TFC_PAISES" ("PAI_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_OPERA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_OPERA_PK" ON "UOC"."TFC_OPERADORES_TELEFONICOS" ("OPE_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_SO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_SO_PK" ON "UOC"."TFC_SISTEMAS_OPERATIVOS" ("MSO_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_DIV_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_DIV_PK" ON "UOC"."TFC_DIVISAS" ("DIV_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_APL_SO_PK2
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_APL_SO_PK2" ON "UOC"."TFC_SISTEMA_APLICACIONES" ("SOP_CODIGO", "SOP_VERSION", "SOP_SOPERATIVO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_USU_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_USU_PK" ON "UOC"."TFC_USUARIOS" ("USU_MOVILUSUARIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_APP_PR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_APP_PR_PK" ON "UOC"."TFC_PAISES_APLICACIONES" ("APP_CODIGO", "APP_VERSION", "APP_PAIS", "APP_DIVISA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_DISP_USUARIO_INDEX1
--------------------------------------------------------

  CREATE INDEX "UOC"."TFC_DISP_USUARIO_INDEX1" ON "UOC"."TFC_DISPOSITIVOS_USUARIO" ("DIU_MOVILUSUARIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Index TFC_DIU_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_DIU_PK1" ON "UOC"."TFC_DISPOSITIVOS_USUARIO" ("DIU_IMEI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_MODO_PAG_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_MODO_PAG_PK" ON "UOC"."TFC_MODO_PAGO" ("FOP_CODIGO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  DDL for Index TFC_APL_DES_PK2
--------------------------------------------------------

  CREATE UNIQUE INDEX "UOC"."TFC_APL_DES_PK2" ON "UOC"."TFC_DESA_APLICACIONES" ("DEA_CODIGO", "DEA_VERSION", "DEA_DESA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES" ;
--------------------------------------------------------
--  Constraints for Table TFC_USUARIOS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_USUARIOS" ADD CONSTRAINT "TFC_USU_PK" PRIMARY KEY ("USU_MOVILUSUARIO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_APLICACION
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_APLICACION" ADD CONSTRAINT "TFC_APL_PK" PRIMARY KEY ("APL_CODIGO", "APL_VERSION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_PAISES_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_PAISES_APLICACIONES" ADD CONSTRAINT "TFC_APP_PR_PK" PRIMARY KEY ("APP_CODIGO", "APP_VERSION", "APP_PAIS", "APP_DIVISA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_DIVISAS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DIVISAS" ADD CONSTRAINT "TFC_DIV_PK" PRIMARY KEY ("DIV_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_IDIOMAS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_IDIOMAS" ADD CONSTRAINT "TFC_IDIOMAS_PK" PRIMARY KEY ("IDI_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_IDIOMAS_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_IDIOMAS_APLICACIONES" ADD CONSTRAINT "TFC_APL_ID_PK" PRIMARY KEY ("AID_CODIGO", "AID_VERSION", "AID_IDIOMA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_DESA_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DESA_APLICACIONES" ADD CONSTRAINT "TFC_APL_DES_PK2" PRIMARY KEY ("DEA_CODIGO", "DEA_VERSION", "DEA_DESA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_PAISES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_PAISES" ADD CONSTRAINT "TFC_PAISES_PK" PRIMARY KEY ("PAI_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_MODELOS_MOVIL
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_MODELOS_MOVIL" ADD CONSTRAINT "TFC_MODELOS_MOVIL_PK" PRIMARY KEY ("MOD_MODELO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_DISPOSITIVOS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DISPOSITIVOS" ADD CONSTRAINT "TFC_DISPO_PK" PRIMARY KEY ("DIS_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_OPERADORES_TELEFONICOS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_OPERADORES_TELEFONICOS" ADD CONSTRAINT "TFC_OPERA_PK" PRIMARY KEY ("OPE_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_SISTEMA_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_SISTEMA_APLICACIONES" ADD CONSTRAINT "TFC_APL_SO_PK2" PRIMARY KEY ("SOP_CODIGO", "SOP_VERSION", "SOP_SOPERATIVO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_DISPOSITIVOS_USUARIO
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DISPOSITIVOS_USUARIO" ADD CONSTRAINT "TFC_DIU_PK1" PRIMARY KEY ("DIU_IMEI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_MODO_PAGO
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_MODO_PAGO" ADD CONSTRAINT "TFC_MODO_PAG_PK" PRIMARY KEY ("FOP_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TFC_SISTEMAS_OPERATIVOS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_SISTEMAS_OPERATIVOS" ADD CONSTRAINT "TFC_SO_PK" PRIMARY KEY ("MSO_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_DESARROLLADORES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DESARROLLADORES" ADD CONSTRAINT "TFC_DESARROLADOR_PK" PRIMARY KEY ("DES_CODIGO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Constraints for Table TFC_DESCARGAS_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" ADD CONSTRAINT "TFC_DES_PK1" PRIMARY KEY ("DES_CODIGO", "DES_VERSION", "DES_FECHA", "DES_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_INDICES"  ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table TFC_DESA_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DESA_APLICACIONES" ADD CONSTRAINT "TFC_APL_APL_PK2" FOREIGN KEY ("DEA_CODIGO", "DEA_VERSION")
	  REFERENCES "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") ENABLE;
  ALTER TABLE "UOC"."TFC_DESA_APLICACIONES" ADD CONSTRAINT "TFC_APL_DES_FK2" FOREIGN KEY ("DEA_DESA")
	  REFERENCES "UOC"."TFC_DESARROLLADORES" ("DES_CODIGO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_DESARROLLADORES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DESARROLLADORES" ADD CONSTRAINT "TFC_DES_PAI_FK" FOREIGN KEY ("DES_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_DESCARGAS_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" ADD CONSTRAINT "TFC_APL_APL_PK1" FOREIGN KEY ("DES_CODIGO", "DES_VERSION")
	  REFERENCES "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") ENABLE;
  ALTER TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" ADD CONSTRAINT "TFC_DES_DIV_FK2" FOREIGN KEY ("DES_DIVISA")
	  REFERENCES "UOC"."TFC_DIVISAS" ("DIV_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" ADD CONSTRAINT "TFC_DES_DUS_FK1" FOREIGN KEY ("DES_IMEI")
	  REFERENCES "UOC"."TFC_DISPOSITIVOS_USUARIO" ("DIU_IMEI") ENABLE;
  ALTER TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" ADD CONSTRAINT "TFC_DES_OPE_FK1" FOREIGN KEY ("DES_OPERADOR")
	  REFERENCES "UOC"."TFC_OPERADORES_TELEFONICOS" ("OPE_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" ADD CONSTRAINT "TFC_DES_PAI_FK1" FOREIGN KEY ("DES_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table TFC_DISPOSITIVOS_USUARIO
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_DISPOSITIVOS_USUARIO" ADD CONSTRAINT "TFC_DIU_DIS_FK1" FOREIGN KEY ("DIU_DISPOSITIVO")
	  REFERENCES "UOC"."TFC_DISPOSITIVOS" ("DIS_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_DISPOSITIVOS_USUARIO" ADD CONSTRAINT "TFC_USU_MOD_FK1" FOREIGN KEY ("DIU_MODELO")
	  REFERENCES "UOC"."TFC_MODELOS_MOVIL" ("MOD_MODELO") ENABLE;
  ALTER TABLE "UOC"."TFC_DISPOSITIVOS_USUARIO" ADD CONSTRAINT "TFC_USU_SOP_FK1" FOREIGN KEY ("DIU_SOPERATIVO")
	  REFERENCES "UOC"."TFC_SISTEMAS_OPERATIVOS" ("MSO_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_DISPOSITIVOS_USUARIO" ADD CONSTRAINT "TFC_USU_USU_FK2" FOREIGN KEY ("DIU_MOVILUSUARIO")
	  REFERENCES "UOC"."TFC_USUARIOS" ("USU_MOVILUSUARIO") ENABLE;



--------------------------------------------------------
--  Ref Constraints for Table TFC_ESTADISTICA3
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_ESTADISTICA3" ADD CONSTRAINT "TFC_APL_DES_FK3" FOREIGN KEY ("E3_DESARROLLADOR")
	  REFERENCES "UOC"."TFC_DESARROLLADORES" ("DES_CODIGO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_ESTADISTICA4
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_ESTADISTICA4" ADD CONSTRAINT "TFC_APL_DES_FK4" FOREIGN KEY ("E4_DESARROLLADOR")
	  REFERENCES "UOC"."TFC_DESARROLLADORES" ("DES_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_ESTADISTICA4" ADD CONSTRAINT "TFC_APL_E3_PK1" FOREIGN KEY ("E4_APLICACION", "E4_VERSION")
	  REFERENCES "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_ESTADISTICA5
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_ESTADISTICA5" ADD CONSTRAINT "TFC_ES5_PAI_FK" FOREIGN KEY ("E5_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_ESTADISTICA6
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_ESTADISTICA6" ADD CONSTRAINT "TFC_ES6_PAI_FK" FOREIGN KEY ("E6_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_ESTADISTICA7
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_ESTADISTICA7" ADD CONSTRAINT "TFC_ES7_PAI_FK" FOREIGN KEY ("E7_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table TFC_IDIOMAS_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_IDIOMAS_APLICACIONES" ADD CONSTRAINT "TFC_APL_ID_FK" FOREIGN KEY ("AID_CODIGO", "AID_VERSION")
	  REFERENCES "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") ENABLE;
  ALTER TABLE "UOC"."TFC_IDIOMAS_APLICACIONES" ADD CONSTRAINT "TFC_LAN_ID_FK" FOREIGN KEY ("AID_IDIOMA")
	  REFERENCES "UOC"."TFC_IDIOMAS" ("IDI_CODIGO") ENABLE;



--------------------------------------------------------
--  Ref Constraints for Table TFC_OPERADORES_TELEFONICOS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_OPERADORES_TELEFONICOS" ADD CONSTRAINT "TFC_OPERA_PAI_FK1" FOREIGN KEY ("OPE_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table TFC_PAISES_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_PAISES_APLICACIONES" ADD CONSTRAINT "TFC_APP_DI_FK" FOREIGN KEY ("APP_DIVISA")
	  REFERENCES "UOC"."TFC_DIVISAS" ("DIV_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_PAISES_APLICACIONES" ADD CONSTRAINT "TFC_APP_ID_FK" FOREIGN KEY ("APP_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_PAISES_APLICACIONES" ADD CONSTRAINT "TFC_APP_PR_FK" FOREIGN KEY ("APP_CODIGO", "APP_VERSION")
	  REFERENCES "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TFC_SISTEMA_APLICACIONES
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_SISTEMA_APLICACIONES" ADD CONSTRAINT "TFC_APL_SO_FK2" FOREIGN KEY ("SOP_CODIGO", "SOP_VERSION")
	  REFERENCES "UOC"."TFC_APLICACION" ("APL_CODIGO", "APL_VERSION") ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table TFC_USUARIOS
--------------------------------------------------------

  ALTER TABLE "UOC"."TFC_USUARIOS" ADD CONSTRAINT "TFC_USU_OPE_FK" FOREIGN KEY ("USU_OPERADOR")
	  REFERENCES "UOC"."TFC_OPERADORES_TELEFONICOS" ("OPE_CODIGO") ENABLE;
  ALTER TABLE "UOC"."TFC_USUARIOS" ADD CONSTRAINT "TFC_USU_PAI_FK" FOREIGN KEY ("USU_PAIS")
	  REFERENCES "UOC"."TFC_PAISES" ("PAI_CODIGO") ENABLE;
commit;