--------------------------------------------------------
--  DDL for Type LISTADOS_R6A
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."LISTADOS_R6A" AS OBJECT (
  codigo                NUMBER, 
  nombre_empresa        VARCHAR2(50 CHAR),
  representante_legal   VARCHAR2(40 CHAR),
  cif                   VARCHAR2(15 CHAR),
  direccion             VARCHAR2(35 CHAR),
  cpostal               VARCHAR2(7 CHAR),
  poblacion             VARCHAR2(35 CHAR),
  provincia             VARCHAR2(35 CHAR),
  telefono              VARCHAR2(15 CHAR),
  fax                   VARCHAR2(15 CHAR),
  email                 VARCHAR2(50 CHAR),
  aplicaciones          NUMBER
);

/
--------------------------------------------------------
--  DDL for Type LISTADOS_R6B
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."LISTADOS_R6B" AS OBJECT (
  codigo                VARCHAR2(10 CHAR), 
  version1              VARCHAR2(10 CHAR),
  fecha_alta            DATE ,
  resolucion_minima     VARCHAR2(35 CHAR),
  numero_descargas      NUMBER,
  idiomas               VARCHAR2(500 CHAR),
  sistemas              VARCHAR2(500 CHAR),
  paises                VARCHAR2(500 CHAR),
  desarrolladores       VARCHAR2(500 CHAR)
 );

/
--------------------------------------------------------
--  DDL for Type LISTADOS_R6C
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."LISTADOS_R6C" AS OBJECT (
  codigo                VARCHAR2(15 CHAR), 
  pais                  VARCHAR2(3 CHAR),
  descargas             NUMBER
);

/
--------------------------------------------------------
--  DDL for Type LISTADOS_R6D
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."LISTADOS_R6D" AS OBJECT (
  codigo                VARCHAR2(20 CHAR), 
  version1              varchar2(20 char),
  fecha                 DATE,
  precio                NUMBER(16,2),
  modo_pago             varchar(50 char)
);

/
--------------------------------------------------------
--  DDL for Type LISTADOS_R6E
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."LISTADOS_R6E" AS OBJECT (
  p_movil                VARCHAR2(15 CHAR), 
  p_nombre               VARCHAR(40),
  numero                 NUMBER
);

/
--------------------------------------------------------
--  DDL for Type R_LISTADOS_R6A
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."R_LISTADOS_R6A" AS TABLE OF LISTADOS_R6A;          

/
--------------------------------------------------------
--  DDL for Type R_LISTADOS_R6B
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."R_LISTADOS_R6B" AS TABLE OF LISTADOS_R6B;          

/
--------------------------------------------------------
--  DDL for Type R_LISTADOS_R6C
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."R_LISTADOS_R6C" AS TABLE OF LISTADOS_R6C;  

/
--------------------------------------------------------
--  DDL for Type R_LISTADOS_R6D
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."R_LISTADOS_R6D" AS TABLE OF LISTADOS_R6D; 

/
--------------------------------------------------------
--  DDL for Type R_LISTADOS_R6E
--------------------------------------------------------

  CREATE OR REPLACE TYPE "UOC"."R_LISTADOS_R6E" AS TABLE OF LISTADOS_R6E;   
 
/